package com.lovecoding.i18n;

import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;
import java.util.Locale;
import java.util.ResourceBundle;

public class I18nDemo {

    public static void main(String[] args) throws UnsupportedEncodingException {

        ResourceBundle bundle = ResourceBundle.getBundle(
                "i18n", Locale.CHINA
        );
        String username = bundle.getString("username");
        //properties 文件是不允许 使用中文的， 因为编码写死在代码里了
        //我们可以通过自己转码，或者转成 unicon 编码 解决中文乱码问题
        //I18N 文件命名规则  basename_语言简写_国家简写.properties

        String s = new String(username.getBytes("ISO-8859-1"), "UTF-8");
        System.out.println(  s  );

        ResourceBundle bundle1 = ResourceBundle.getBundle(
                "i18n", Locale.US
        );
        System.out.println( bundle1.getString("username") );

    }

}
